Reactivate AI Agent
curl --request POST \
--url https://use.hoop.dev/api/ai-agents/{nameOrID}/reactivateimport requests
url = "https://use.hoop.dev/api/ai-agents/{nameOrID}/reactivate"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://use.hoop.dev/api/ai-agents/{nameOrID}/reactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"created_by": "<string>",
"deactivated_at": "<string>",
"deactivated_by": "<string>",
"groups": [
"engineering"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_used_at": "<string>",
"masked_key": "hpk_1nzb***************************************",
"name": "ai-agent",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active"
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}AI Agents
Reactivate AI Agent
Reactivate a revoked AI Agent. Sets status back to active and clears deactivation metadata.
POST
/
ai-agents
/
{nameOrID}
/
reactivate
Reactivate AI Agent
Path Parameters
Name or UUID of the AI Agent
Response
OK
Creation timestamp
Subject of the admin who created this agent
Revocation timestamp
Subject of the admin who revoked this agent
Groups assigned to this AI Agent
Example:
["engineering"]
Unique identifier
Timestamp of last usage
Masked version of the AI Agent key for identification
Example:
"hpk_1nzb***************************************"
Human-readable name
Example:
"ai-agent"
Organization ID
Current status of the AI Agent
Available options:
active, revoked Was this page helpful?